# arm_pid_instance_f32 Struct Reference

CMSIS-DSP: arm_pid_instance_f32 Struct Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_pid_instance_f32 Struct Reference

Instance structure for the floating-point PID Control.

## Data Fields

float32_t | A0
float32_t | A1
float32_t | A2
float32_t | state [3]
float32_t | Kp
float32_t | Ki
float32_t | Kd

## Field Documentation

float32_t A0

The derived gain, A0 = Kp + Ki + Kd .

float32_t A1

The derived gain, A1 = -Kp - 2Kd.

float32_t A2

The derived gain, A2 = Kd .

float32_t Kd

The derivative gain.

float32_t Ki

The integral gain.

float32_t Kp

The proportional gain.

float32_t state[3]

The state array of length 3.